Bug 19241 - Items with status of hold show as available in cart
Summary: Items with status of hold show as available in cart
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-01 20:57 UTC by Michael Cabus
Modified: 2019-10-14 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
attachment shows item with status on hold in cart showing as available (514.72 KB, image/png)
2017-09-01 20:57 UTC, Michael Cabus
Details
Bug 19241: Waiting items show as available in the cart (1.33 KB, patch)
2019-04-16 17:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19241: Waiting items show as available in the cart (1.39 KB, patch)
2019-04-17 03:37 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 19241: Waiting items show as available in the cart (1.45 KB, patch)
2019-04-25 07:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Cabus 2017-09-01 20:57:17 UTC
Created attachment 66784 [details]
attachment shows item with status on hold in cart showing as available

Items that have status of on hold show as available on cart list.  While users can observe the item has the status of on hold before putting it in the cart, it was reported some patrons find this inconsistency confusing.
Comment 1 Ed Veal 2018-05-07 21:25:21 UTC
This bug has been showing "New" for 8 months. Owen, might we take a look at this and see what we can do?

Ed
Comment 2 NancyK. 2019-02-19 23:35:40 UTC
I just got a complaint on this.
Could someone please fix it?
Thanks

NancyK
Comment 3 Nick Clemens 2019-04-16 17:24:21 UTC
Created attachment 88093 [details] [review]
Bug 19241: Waiting items show as available in the cart

The cart uses the same item-status.inc that the details page uses, however, we don't
set the waiting or reserved flags. This patch adds those flags to the script

To test:
1 - Find an item on the opac
2 - Place a hold on the item
3 - Check in the item to confirm the hold
4 - Note the details page on OPAC shows 'On hold'
5 - Add the item to a basket
6 - Note the basket shows 'Available'
7 - Apply patch
8 - Check the cart, should show as 'On hold'
Comment 4 Hayley Mapley 2019-04-17 03:37:38 UTC
Created attachment 88127 [details] [review]
Bug 19241: Waiting items show as available in the cart

The cart uses the same item-status.inc that the details page uses, however, we don't
set the waiting or reserved flags. This patch adds those flags to the script

To test:
1 - Find an item on the opac
2 - Place a hold on the item
3 - Check in the item to confirm the hold
4 - Note the details page on OPAC shows 'On hold'
5 - Add the item to a basket
6 - Note the basket shows 'Available'
7 - Apply patch
8 - Check the cart, should show as 'On hold'

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 5 Martin Renvoize 2019-04-25 07:03:29 UTC
Created attachment 88690 [details] [review]
Bug 19241: Waiting items show as available in the cart

The cart uses the same item-status.inc that the details page uses, however, we don't
set the waiting or reserved flags. This patch adds those flags to the script

To test:
1 - Find an item on the opac
2 - Place a hold on the item
3 - Check in the item to confirm the hold
4 - Note the details page on OPAC shows 'On hold'
5 - Add the item to a basket
6 - Note the basket shows 'Available'
7 - Apply patch
8 - Check the cart, should show as 'On hold'

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-25 07:03:57 UTC
No regressions found, simple fix. Thanks all, Passing QA
Comment 7 Nick Clemens 2019-04-25 11:52:01 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-26 15:15:32 UTC
Pushed to 18.11.x for 18.11.05
Comment 9 Lucas Gass 2019-05-24 15:18:28 UTC
can't rebase for 18.05.x 

Global symbol "$borcat" requires explicit package name (did you forget to declare "my $borcat"?)